LN(1)

BEZEICHNUNG
ln - Links (Verknüpfungen) zwischen Dateien erstellen

ÜBERSICHT
ln [OPTION]... [-T] TARGET LINK_NAME (1st form)
ln [OPTION]... TARGET (2nd form)
ln [OPTION]... TARGET... DIRECTORY (3rd form)
ln [OPTION]... -t DIRECTORY TARGET... (4th form)

BESCHREIBUNG

In der 1. Form: Einen Link (Verknüpfung) namens LINK_NAME auf ZIEL erstellen. In der 2. Form: Einen Link auf ZIEL im aktuellen Verzeichnis erstellen. In der 3. und 4. Form: Links zu jedem ZIEL in VERZEICHNIS erstellen. Standardmäßig werden harte Links erstellt, für symbolische Links ist die Option --symbolic anzugeben. In der Voreinstellung dürfen alle Ziele (Namen des neuen Links) noch nicht exisitieren. Beim Erzeugen von harten Links muss jedes ZIEL existieren. Bei symbolischen Links kann dagegen beliebiger Text stehen; bei späterer Auflösung wird ein relativer Link bezogen auf sein Elternverzeichnis interpretiert.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

--backup[=CONTROL]
    Eine Sicherungskopie von jeder vorhandenen Zieldatei erstellen

-b  Wie --backup, akzeptiert aber kein Argument

-d, -F, --directory
    Dem Superuser den Versuch erlauben, harte Verknüpfungen für Verzeichnisse anzulegen (Hinweis: Aufgrund von Systembeschränkungen wird dies wahrscheinlich auch für den Superuser fehlschlagen)

-f, --force
    Vorhandene Zieldateien entfernen

-i, --interactive
    Abfrage, ob das Ziel entfernt werden soll

-L, --logical
    ZIELe dereferenzieren, die symbolische Links sind

-n, --no-dereference
    LINK_NAME als normale Datei behandeln, falls es ein symbolischer Link auf ein Verzeichnis ist

-P, --physical
    Harte Links direkt auf symbolische Links anlegen

-r, --relative
    erstelle symbolische Links relativ zum Ort des Links

-s, --symbolic
    erstelle symbolische Links statt harten Links

-S, --suffix=SUFFIX
    Die übliche Endung für Sicherungskopien überschreiben

-t, --target-directory=DIRECTORY
    VERZEICHNIS angeben, in dem die Links erstellt werden sollen

-T, --no-target-directory
    LINK_NAME immer als normale Datei behandeln

-v, --verbose
    Den Namen jeder verlinkten Datei ausgeben

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Die Endung für Sicherheitskopien ist »~«, außer wenn sie mit --suffix oder SIMPLE_BACKUP_SUFFIX gesetzt wurde. Die Methode der Versionssteuerung kann mit der Option --backup oder der Umgebungsvariablen VERSION_CONTROL ausgewählt werden. Mögliche Werte sind:

none, off
    Niemals Sicherheitskopien erstellen (selbst wenn --backup angegeben wurde)

numbered, t
    Erstellen von nummerierten Sicherheitskopien

existing, nil
    Nummeriert (»numbered«), wenn nummerierte Sicherheitskopien existieren, sonst einfach (»simple«).

simple, never
    Immer einfache Sicherheitskopien erstellen

Durch die Verwendung von -s werden -L und -P ignoriert. Andernfalls steuert die zuletzt angegebene Option das Verhalten, wenn ein ZIEL ein symbolischer Link ist, mit der Standardeinstellung -P.

AUTOR
Geschrieben von Mike Parker und David MacKenzie.

FEHLER BERICHTEN
Onlinehilfe für GNU coreutils: <http://www.gnu.org/software/coreutils/>
Berichten Sie Fehler in der Übersetzung von ln an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
link(2), symlink(2)

Vollständige Dokumentation unter: <http://www.gnu.org/software/coreutils/ln>
oder lokal verfügbar mit: info '(coreutils) ln invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Helge Kreutzmann <debian@helgefjell.de>, Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.